<?php
/**
 * @version    1.2.9
 * @package    Com_YendifVideoShare
 * @author     PluginsWare Interactive Pvt. Ltd <admin@yendifplayer.com>
 * @copyright  Copyright (c) 2012 - 2021 PluginsWare Interactive Pvt. Ltd. All Rights Reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

// Prevent direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

if ( ! defined( 'DS' ) ) {
	define( 'DS', DIRECTORY_SEPARATOR );
}

$app = JFactory::getApplication();

// Access check: is this user allowed to access the backend of this component?
if ( ! JFactory::getUser()->authorise( 'core.manage', 'com_yendifvideoshare' ) ) {
	return $app->enqueueMessage( JText::_( 'JERROR_ALERTNOAUTHOR' ), 'warning' );
}

// Define constants for all pages
define( 'YENDIF_VIDEO_SHARE_UPLOAD_DIR', DS . 'media' . DS . 'yendifvideoshare' . DS );
define( 'YENDIF_VIDEO_SHARE_UPLOAD_BASE', JPATH_ROOT . YENDIF_VIDEO_SHARE_UPLOAD_DIR );
define( 'YENDIF_VIDEO_SHARE_UPLOAD_BASEURL', JURI::root( true ) . str_replace( DS, '/', YENDIF_VIDEO_SHARE_UPLOAD_DIR ) );
define( 'YENDIF_VIDEO_SHARE_USERID', JFactory::getUser()->get( 'id' ) );

// Register Libraries
JLoader::register( 'YendifVideoShareController', JPATH_COMPONENT . '/controllers/controller.php' );
JLoader::register( 'YendifVideoShareModel', JPATH_COMPONENT . '/models/model.php' );
JLoader::register( 'YendifVideoShareView', JPATH_COMPONENT . '/views/view.php' );
JLoader::register( 'YendifVideoShareFields', JPATH_COMPONENT . '/libraries/fields.php' );
JLoader::register( 'YendifVideoShareUpload', JPATH_COMPONENT . '/libraries/upload.php' );
JLoader::register( 'YendifVideoShareUtils', JPATH_COMPONENT . '/libraries/utils.php' );

// CSS
$document = JFactory::getDocument();
$document->addStyleSheet( YendifVideoShareUtils::prepareURL( 'media/yendifvideoshare/assets/admin/css/yendifvideoshare.css', 'text/css', 'screen' ) );

// Require the base controller
$view = $app->input->get( 'view', 'dashboard' );
$controller = JString::strtolower( $view );

require_once JPATH_COMPONENT . DS . 'controllers' . DS . $controller . '.php';

// Initialize the controller
$obj = 'YendifVideoShareController' . $controller;
$controller = new $obj();

// Perform the Request task
$task = $app->input->get( 'task', $view );

$controller->execute( $task );
$controller->redirect();