<?php
/**
 * @version    1.2.9
 * @package    Com_YendifVideoShare
 * @author     PluginsWare Interactive Pvt. Ltd <admin@yendifplayer.com>
 * @copyright  Copyright (c) 2012 - 2021 PluginsWare Interactive Pvt. Ltd. All Rights Reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

// Prevent direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class YendifVideoShareModelCategories extends YendifVideoShareModel {

	public function getItems( $limit, $orderby ) {	
		$app = JFactory::getApplication();
		$db = JFactory::getDbo();
		 
		$limit = $app->getUserStateFromRequest( 'global.list.limit', 'limit', $limit, 'int' );
		$limitstart = $app->input->get( 'limitstart', '0', 'INT' ); 
		$limitstart = $limit != 0 ? ( floor( $limitstart / $limit ) * $limit ) : 0;
 
		$this->setState( 'limit', $limit );
		$this->setState( 'limitstart', $limitstart );
			 
        $query = 'SELECT * FROM #__yendifvideoshare_categories WHERE published=1 AND parent=' . $app->input->getInt( 'id', 0 );
		 
		switch ( $orderby ) {	
		 	case 'latest':
				$query .= ' ORDER BY created_date DESC';
				break;	
			case 'date_added':
				$query .= ' ORDER BY created_date ASC';
				break;
			case 'a_z':
				$query .= ' ORDER BY name ASC';
				break;
			case 'z_a':
				$query .= ' ORDER BY name DESC';
				break;
			case 'random':
				$query .= ' ORDER BY RAND()';
				break;
			case 'ordering':
				$query .= ' ORDER BY ordering';
				break;
			default:
				$query .= ' ORDER BY id DESC';
		}
		 
        $db->setQuery( $query, $limitstart, $limit );
        $items = $db->loadObjectList();
		 
		return $items;		
	}
	
	public function getTotal() {				 
        $db = JFactory::getDbo();
		 
        $query = 'SELECT COUNT(id) FROM #__yendifvideoshare_categories WHERE published=1 AND parent=' . JFactory::getApplication()->input->getInt( 'id', 0 );	
        
		$db->setQuery( $query );
        $count = $db->loadResult();
		 
		return $count;		 
	}
	
	public function getPagination() {
    	jimport( 'joomla.html.pagination' );
		 
		$count = $this->getTotal();
		$pagination = new JPagination( $count, $this->getState( 'limitstart' ), $this->getState( 'limit' ) );

        return $pagination;		 
	}
				
}