<?php
/**
 * @version    1.2.9
 * @package    Com_YendifVideoShare
 * @author     PluginsWare Interactive Pvt. Ltd <admin@yendifplayer.com>
 * @copyright  Copyright (c) 2012 - 2021 PluginsWare Interactive Pvt. Ltd. All Rights Reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

// Prevent direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

$timeFormat = '';
if ( $this->config->can_skip_adverts == 1 ) {
  $duration = $this->config->show_skip_adverts_on;

  $hours = floor( $duration / 3600 );
  $mins = floor( $duration / 60 % 60 );
  $secs = floor( $duration % 60 );

  $timeFormat = sprintf( '%02d:%02d:%02d', $hours, $mins, $secs );
}

$pixelImage = JURI::root() . 'media/yendifvideoshare/assets/site/images/pixel.png';
?>

<VAST xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="vast.xsd" version="3.0">
  <Ad id="<?php echo $this->item->id; ?>">
    <InLine>
      <AdSystem><![CDATA[<?php echo $this->sitename; ?>]]></AdSystem>
      <AdTitle><![CDATA[<?php echo $this->item->title; ?>]]></AdTitle>
      <Impression><![CDATA[<?php echo JURI::root(); ?>index.php?option=com_yendifvideoshare&view=ads&task=impression&id=<?php echo $this->item->id; ?>]]></Impression>
      <Creatives>
        <Creative>      
          <?php if ( ! empty( $timeFormat ) ) : ?>
					<Linear skipoffset="<?php echo $timeFormat; ?>">
					<?php else : ?>
					<Linear>
          <?php endif; ?>
            <Duration>00:00:30</Duration>
            <TrackingEvents>
              <Tracking event="start"><![CDATA[<?php echo $pixelImage; ?>]]></Tracking>
              <Tracking event="firstQuartile"><![CDATA[<?php echo $pixelImage; ?>]]></Tracking>
              <Tracking event="midpoint"><![CDATA[<?php echo $pixelImage; ?>]]></Tracking>
              <Tracking event="thirdQuartile"><![CDATA[<?php echo $pixelImage; ?>]]></Tracking>
              <Tracking event="complete"><![CDATA[<?php echo $pixelImage; ?>]]></Tracking>
              <Tracking event="pause"><![CDATA[<?php echo $pixelImage; ?>]]></Tracking>
              <Tracking event="mute"><![CDATA[<?php echo $pixelImage; ?>]]></Tracking>
              <Tracking event="fullscreen"><![CDATA[<?php echo $pixelImage; ?>]]></Tracking>
            </TrackingEvents>
            <VideoClicks>
              <ClickThrough><![CDATA[<?php echo $this->item->link; ?>]]></ClickThrough>
              <ClickTracking><![CDATA[<?php echo JURI::root(); ?>index.php?option=com_yendifvideoshare&view=ads&task=click&id=<?php echo $this->item->id; ?>]]></ClickTracking>
            </VideoClicks>
            <MediaFiles>
              <MediaFile type="video/mp4" bitrate="300" width="480" height="270">
                <![CDATA[<?php echo $this->item->mp4; ?>]]>
              </MediaFile>
            </MediaFiles>
           </Linear>
        </Creative>
      </Creatives>
    </InLine>
  </Ad>
</VAST>