<?php
/**
 * @version    1.2.9
 * @package    Com_YendifVideoShare
 * @author     PluginsWare Interactive Pvt. Ltd <admin@yendifplayer.com>
 * @copyright  Copyright (c) 2012 - 2021 PluginsWare Interactive Pvt. Ltd. All Rights Reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

// Prevent direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class YendifVideoShareViewSearch extends YendifVideoShareView {

	public function display( $tpl = null ) {	
		$app = JFactory::getApplication();	
		$document = JFactory::getDocument();		
				
		$model = $this->getModel();

		$document->editor = $app->getCfg( 'fromname' );
		$document->editorEmail = $app->getCfg( 'mailfrom' );		
		
		$config = YendifVideoShareUtils::getConfig();					
        $items = $model->getItems( $config->feed_limit, $config->schedule_video_publishing );	
				
		foreach ( $items as $item ) {
			$title = $this->escape( $item->title );
			$title = html_entity_decode( $title, ENT_COMPAT, 'UTF-8' );
			
			$targetUrl = YendifVideoShareUtils::buildRoute( $item, 'video' );
			
			$description  = $item->description;				
			$description .= '<img src="' . $item->image . '" />';
					
			$date = $item->created_date ? date( 'r', strtotime( $item->created_date ) ) : '';
								
			// load individual item creator class
			$feeditem = new JFeedItem();
			
			$feeditem->title		= $title;
			$feeditem->link			= $targetUrl;				
			$feeditem->description	= $description;
			$feeditem->date			= $date;
			$feeditem->category		= $item->category;								
			
			// loads item info into rss array
			$document->addItem( $feeditem );				
		}
					
	}	
			
}