<?php
/**
 * @version    1.2.9
 * @package    Com_YendifVideoShare
 * @author     PluginsWare Interactive Pvt. Ltd <admin@yendifplayer.com>
 * @copyright  Copyright (c) 2012 - 2021 PluginsWare Interactive Pvt. Ltd. All Rights Reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */
 
// Prevent direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
 
if ( ! defined( 'DS' ) ) {
	define( 'DS', DIRECTORY_SEPARATOR );
}

require_once dirname(__FILE__) . DS . 'helper.php';
require_once JPATH_ROOT . DS . 'administrator' . DS . 'components' . DS . 'com_yendifvideoshare' . DS . 'libraries' . DS . 'utils.php';
 
$app = JFactory::getApplication();

$config = YendifVideoShareUtils::getConfig();
$canDo  = isset( $config->access ) ? 1 : 0;

$cols   = (int) $params->get( 'no_of_cols', $config->no_of_cols );
$rows   = (int) $params->get( 'no_of_rows', $config->no_of_rows );
$itemId = $params->get( 'itemid', 0 );
$column = 0;

$show_excerpt = $params->get( 'show_excerpt', $config->show_excerpt );
if ( $show_excerpt == 'global' ) {			
	$show_excerpt = $config->show_excerpt;			
}

$excerpt_length = $config->playlist_desc_limit;

$items = YendifVideoShareCategoriesHelper::getItems( $params, $rows * $cols );
$limit = count( $items );

$show_videos_count = $params->get( 'show_media_count', $config->show_media_count );
if ( $show_videos_count == 'global' ) {			
	$show_videos_count = $config->show_media_count;			
}

$document = JFactory::getDocument();

if ( $config->bootstrap_version == 3 ) {
	$document->addStyleSheet( YendifVideoShareUtils::prepareURL( 'media/yendifvideoshare/assets/site/css/bootstrap.css', 'text/css', 'screen' ) );
}

$document->addStyleSheet( YendifVideoShareUtils::prepareURL( 'media/yendifvideoshare/assets/site/css/yendifvideoshare.css', 'text/css', 'screen' ) );

$moduleclass_sfx = htmlspecialchars( $params->get( 'moduleclass_sfx' ) );

require JModuleHelper::getLayoutPath( 'mod_yendifvideoshare_categories' );