<?php
/**
 * @version    1.2.9
 * @package    Com_YendifVideoShare
 * @author     PluginsWare Interactive Pvt. Ltd <admin@yendifplayer.com>
 * @copyright  Copyright (c) 2012 - 2021 PluginsWare Interactive Pvt. Ltd. All Rights Reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */
 
// Prevent direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
 
if ( ! defined( 'DS' ) ) {
	define( 'DS', DIRECTORY_SEPARATOR );
}
 
require_once dirname( __FILE__ ) . DS . 'helper.php';
require_once JPATH_ROOT . DS . 'administrator' . DS . 'components' . DS . 'com_yendifvideoshare' . DS . 'libraries' . DS . 'utils.php';
require_once JPATH_ROOT . DS . 'administrator' . DS . 'components' . DS . 'com_yendifvideoshare' . DS . 'libraries' . DS . 'player.php';

$config = YendifVideoShareUtils::getConfig();

$video = YendifVideoSharePlayerHelper::getVideo( $params, $config->schedule_video_publishing );

if ( empty( $video ) ) {
	return;
}

$args = array( 
	'videoid' => $video->id
);

$options = array(
	'ratio',
	'volume',
	'autoplay',
	'loop',
	'controlbar',
	'playbtn',
	'playpause',
	'currenttime',
	'progress',
	'duration',
	'volumebtn',
	'fullscreen',
	'embed',
	'share',
	'download'
);

foreach ( $options as $option ) {
	$value = $params->get( $option, 'global' );
	if ( $value != 'global' ) {
		$args[ $option ] = $value;
	}
}

$player = YendifVideoSharePlayer::load( $args, $params ); 

$moduleclass_sfx = htmlspecialchars( $params->get( 'moduleclass_sfx' ) );

require JModuleHelper::getLayoutPath( 'mod_yendifvideoshare_player' );