<?php
/**
 * @version    1.2.9
 * @package    Com_YendifVideoShare
 * @author     PluginsWare Interactive Pvt. Ltd <admin@yendifplayer.com>
 * @copyright  Copyright (c) 2012 - 2021 PluginsWare Interactive Pvt. Ltd. All Rights Reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */
 
// Prevent direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
 
if ( ! defined( 'DS' ) ) {
	define( 'DS', DIRECTORY_SEPARATOR );
}

require_once dirname(__FILE__) . DS . 'helper.php';
require_once JPATH_ROOT . DS . 'administrator' . DS . 'components' . DS . 'com_yendifvideoshare' . DS . 'libraries' . DS . 'utils.php';

JHTML::_( 'behavior.formvalidation' );
JHtml::_( 'jquery.framework' );

$app = JFactory::getApplication();
$document = JFactory::getDocument();

$config = YendifVideoShareUtils::getConfig();

if ( $config->bootstrap_version == 3 ) {
	$document->addStyleSheet( YendifVideoShareUtils::prepareURL( 'media/yendifvideoshare/assets/site/css/bootstrap.css', 'text/css', 'screen' ) );
}

$document->addStyleSheet( YendifVideoShareUtils::prepareURL( 'media/yendifvideoshare/assets/site/css/yendifvideoshare.css', 'text/css', 'screen' ) );

if ( ! empty ( $config->responsive_css ) ) {
	$document->addStyleDeclaration( $config->responsive_css );
}

$option     = $app->input->get( 'option' );
$view       = $app->input->get( 'view' );
$search_key = '';

if ( $option == 'com_yendifvideoshare' && $view == 'search' ) {	
	$search_key = $app->getUserStateFromRequest( 'yendif.search.public', 'search', '', 'string' );
} else {
	$app->setUserState( 'yendif.search.public', '' );
}

$itemId = $params->get( 'itemid', $app->input->getInt( 'Itemid' ) );
$moduleclass_sfx = htmlspecialchars( $params->get( 'moduleclass_sfx' ) );

require JModuleHelper::getLayoutPath( 'mod_yendifvideoshare_search' );